REM Army PEO Aviation Control No: 25-056 Distribution Statement A - "Approved for public release: distribution unlimited"

REM Copyright (c) Vanderbilt University, 2025

REM ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED 

REM This software, authored by Vanderbilt University under a contract awarded to and managed by Alion 
REM Science and Technology, was funded by the U.S. Government under Contract No. FA8075-14-D-0014 
REM and the U.S. Government has unlimited rights in this software.  An "unlimited rights" license 
REM means that the U.S. Government can use, modify, reproduce, release or disclose computer software
REM in whole or in part, in any manner, and for any purpose whatsoever, and to have or authorize 
REM others to do so.

REM Vanderbilt University disclaims all warranties with regard to this software, including all implied 
REM warranties of merchantability and fitness. In no event shall Vanderbilt University be liable for 
REM any special, indirect or consequential damages or any damages whatsoever resulting from loss of 
REM use, data or profits, whether in an action of contract, negligence or other tortious action, 
REM arising out of or in connection with the use or performance of this software. 

REM Run IDEAL (generates Code from IDL)
REM CTS 3.0.4 Requires Python 2.7, You must install Python 2.7.  It is not delivered with CTS.
set PYTHON_EXE="C:\Python27\python.exe"

set IDEAL_PY="D:\FACE_Bin\CTS\Windows_CTS_3.0.4_Distribution\FACEConformanceTestSuite_3.0.4\face_conformance_app\ideal\ideal.py"

set IDL_SOURCE=.\IDL_out\FACE\DM\SpaceShuttle\FillValve_Data.idl"

set IDL_ROOT_DIR=.\IDL_out


%PYTHON_EXE% %IDEAL_PY% -I %IDL_ROOT_DIR% -c ideal.compiler.CPP03 .\Code_out -- %IDL_SOURCE%

set IDL_SOURCE=.\IDL_out\FACE\DM\SpaceShuttle\TankLevel_Data.idl"

%PYTHON_EXE% %IDEAL_PY% -I %IDL_ROOT_DIR% -c ideal.compiler.CPP03 .\Code_out -- %IDL_SOURCE%



REM Help Only
REM %PYTHON_EXE% %IDEAL_PY% -h